{% extends "admin/base_site.html" %}
{% load i18n %}

{% block stylesheet %}{% load adminmedia %}{% admin_media_prefix %}css/login.css{% endblock %}
{% block bodyclass %}dashboard{% endblock %}
{% block content_title %}{% endblock %}
{% block breadcrumbs %}{% load i18n %}<div class="breadcrumbs"><a href="../../../">{% trans "Home" %}</a> &rsaquo; <a href="../">Общий список</a> &rsaquo; За месяц</div>{% endblock %}


{% block title %}Статистика пользователей за месяц.{% endblock %}

{% block content %}
<form method=post action=>
<select name=month>
{% for item in  months %}
	{% ifequal item month %}
	<option value={{ item }} SELECTED>{{ item }}</option>
	{% else %}
	<option value={{ item }}>{{ item }}</option>
	{% endifequal %}
{% endfor %}
</select>

<select name=year>
{% for item in  years %}
	{% ifequal item year %}
	<option value={{ item }} SELECTED>{{ item }}</option>
	{% else %}
	<option value={{ item }}>{{ item }}</option>
	{% endifequal %}
{% endfor %}
</select>
<input type=submit value=OK>
<br>
</form>
<table bodrder=1>
	<tr>
		<td>Логин</td>
		<td>Получено, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
		<td>Передано, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
	</tr>
		{% for item in  traff %}
		<tr>
			<td><a href=../detail/{{ item.userid }}/{{ year }}/{{ month }}>{{ item.login }}</a></td>
			<td>{{ item.download }} {% if not WITHOUT_COST %}({{ item.cost_download }}){% endif %}</td>
			<td>{{ item.upload }} {% if not WITHOUT_COST %}({{ item.cost_upload }}){% endif %}</td>
		</tr>
		{% endfor %}
	<tr>
			<td><b>Всего</b></td>
			<td>{{ all_download }} {% if not WITHOUT_COST %}({{ all_cost_download }}){% endif %}</td>
			<td>{{ all_upload }} {% if not WITHOUT_COST %}({{ all_cost_upload }}){% endif %}</td>
	</tr>
</table>
<br>
По Фильтрам:
<table>
      <tr>
              <td>Фильтр</td>
              <td>Получено, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
              <td>Передано, байт {% if not WITHOUT_COST %}(руб){% endif %}</td>
      </tr>
              <tr>
                      {% for item in traff_by_filter %}
                      <td>{{ item.filter }}</a></td>
                      <td>{{ item.download }} {% if not WITHOUT_COST %}({{ item.cost_download }}){% endif %}</td>
                      <td>{{ item.upload }} {% if not WITHOUT_COST %}({{ item.cost_upload }}){% endif %}</td>
              </tr>
              {% endfor %}
</table>

{% endblock %}
